Bug 654435 - plugin names should be changed
Summary: plugin names should be changed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-11-17 21:02 UTC by Bryan Kearney
Modified: 2013-01-10 10:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:37:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Bryan Kearney 2010-11-17 21:02:21 UTC
The names of the python files for the plugins do not need to be called fooPlugin. They should be called

pid.py and rhsm.py

Comment 2 James Bowes 2010-11-23 15:08:27 UTC
I changed them to product-id and subscription-manager

Comment 4 John Sefler 2010-12-07 19:10:58 UTC
[root@jsefler-onprem01 ~]# rpm -q subscription-manager
subscription-manager-0.93.2-1.git.82.b7841b3.fc14.x86_64

[root@jsefler-onprem01 ~]# ls /etc/yum/pluginconf.d/
product-id.conf  refresh-packagekit.conf  rhnplugin.conf  subscription-manager.conf

[root@jsefler-onprem01 ~]# yum repolist
Loaded plugins: product-id, refresh-packagekit, rhnplugin, subscription-manager
Updating Red Hat repositories.
INFO:repolib:repos updated: 3
repo id                                           repo name                                                                              status
rhel-x86_64-server-6                              Red Hat Enterprise Linux Server (v. 6 for 64-bit x86_64)                               3,589
repolist: 3,589
[root@jsefler-onprem01 ~]# 


yes - the newly named plugins "product-id" and "subscription-manager" are in place and enabled by default
moving to VERIFIED

Comment 5 errata-xmlrpc 2011-05-19 13:37:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.